# Method: networks.assets.adBreaks.list

- [HTTP request](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.request_body)
- [Response body](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/networks.assets.adBreaks/list#body.aspect)

API to list Ad Breaks within the live stream.

### HTTP request

`GET https://admanagervideo.googleapis.com/v1/{parent=networks/*/assets/*}/adBreaks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Optional. This field identifies the LiveStreamEvent that this ad break should be associated to using the live stream asset key. It must have the format of "networks/{network_code}/assets/{asset_key}" |

### Query parameters

| Parameters ||
|---|---|
| `customParent` | `string` Optional. This field identifies the LiveStreamEvent that this ad break should be associated to using the custom asset key. It must have the format of "networks/{network_code}/customAssets/{asset_key}" |
| `content` | `string` Optional. This is an alternative way to identify the LiveStreamEvent, if it's associated with a piece of content within GAM. It must have the format of "networks/{network_code}/sources/{content_source_id}/content/{cms_content_id}" |
| `pageSize` | `integer` Optional. The maximum number of ad breaks to return. The service may return fewer than this value. If unspecified, at most 10 ad breaks will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `adBreaks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `adBreaks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ad-manager/dynamic-ad-insertion/api/ad-break/rest/v1/ListAdBreaksResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contentingestion`
- `
  https://www.googleapis.com/auth/video-ads`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).